#version 330

uniform sampler2DRect inputTex;
uniform sampler2DRect inputMask;

uniform float alpha=1.0;

in vec2 fsTexture;
in vec2 fsMask;

out vec4 outColor;

void main()
{
    vec4 mask=texture(inputMask,fsMask);
    outColor=texture(inputTex, fsTexture);//*mask.a;
    outColor.rgb*=alpha;
    outColor.a*=mask.a;
}


